PETSc version 3.15.5
Fix/Edit manual page

# VecGetArrayPair

Accesses a pair of pointers for two vectors that may be common. When not common the first is read only

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode VecGetArrayPair(Vec x,Vec y,PetscScalar **xv,PetscScalar **yv)

Logically Collective on x

### Input Parameters

| x | - the vector
| y | - the second vector

### Output Parameters

| xv | - location to put pointer to the first array
| yv | - location to put pointer to the second array

Not available from Fortran

### See Also

VecGetArray(), VecGetArrayRead(), VecRestoreArrayPair()

### Level

developer

### Location

src/vec/vec/utils/tagger/../../../../../include/petscvec.h
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages